
QGIS Application - Bug report #2325

Crashes on attempt to open 1.0.2 Kore project (.qgs) file in Ubuntu 9.10

2009-12-24 11:49 AM - Bob English

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 12385

Description

Most (maybe all) of the layers in the old v1.02 Kore project file are [[PostGIS]] layers.  I don't know if that might have anything to do with

the problem.

History

#1 - 2009-12-24 12:02 PM - Jürgen Fischer

can you post a sample project?

#2 - 2009-12-27 08:58 AM - Paolo Cavallini

Without a sample file, it is probably impossible to check & fix this. Please send it. Thanks.

#3 - 2009-12-28 07:32 AM - Bob English

This bug tracker just lost a long post I made when I attached a file prior to posting!  I'll try to write it again.

First, thanks for your work on QGIS and the prompt reply.  After posting this bug report I opened the .qgs file, which I had created on QGIS 1.0.2 in MS

Windows Vista, in Ubuntu with a text editor.  I found that the paths to the [[PostgreSQL]] server were incorrect (Windows installs to a different port than

Ubuntu), and I made corrections.  QGIS 1.3.0 still crashed on opening the .qgs file.  Then, I changed all the references to c:\\ in the file to the correct

Ubuntu paths, and the .qgs file opened in QGIS 1.3.0.  However, several "layer group" names appeared without the corresponding layers even though the

paths to the data seemed to be correct in the .qgs file (backward compatibility?).  I'm not much of a programmer, but I'd guess that if you want QGIS to be

"platform independent," you would either have to use path variables derived somehow from the system in the .qgs file or trap the error and prompt for the

correct paths. I've attached the original Windows .qgs file in case you still need it.

I've found a number of other bugs in QGIS 1.3.0 in Ubuntu, including many crashes when trying to expand "layer groups."  As you probably know, saving a

"template" in the "print composer" doesn't work, although simply saving the project appears to save "print composer" settings.  Let me know if it is helpful to

post additional bugs.

Thanks again for your work and for QGIS!

Bob

#4 - 2009-12-28 07:35 AM - Paolo Cavallini

Several of the issues you mentioned have been solved - please check a recent version (you can install it from osgeo4w, if on windows, without the need for

compiling anything)
#5 - 2009-12-28 07:54 AM - Bob English

As far as I can tell, there are no updated packages available for QGIS for Ubuntu 9.10 (karmic).  Also, I could not find a way to install the LTS support

version QGIS 1.0.2 Kore in Ubuntu 9.10.  I added several repositories based on various forum posts, but the files are not available for QGIS 1.0.2 for

Ubuntu 9.10.  I suppose I would have to try to compile the newer version?

Thanks,

Bob

#6 - 2009-12-28 09:18 AM - Giovanni Manghi

it crashes also qgis trunk, seems to be a problem with a missing GRASS mapset

Warning: Loading a file that was saved with an older version of qgis (saved in 1.0.2-Kore, loaded in 1.4.0-Trunk). Problems may occur.

Critical: Data source is invalid

Critical: 

Critical: Data source is invalid

Critical: 

access: No such file or directory

terminate called after throwing an instance of 'QgsGrass::Exception'

  what():  LOCATION << C:/grassdata/schell/PERMANENT/myregion/myregion >> not available

Aborted

#7 - 2010-09-19 09:15 AM - Paolo Cavallini

I confirm, it still crashes with current trunk ()

#8 - 2010-09-19 11:54 AM - Jürgen Fischer

- Resolution set to wontfix

- Status changed from Open to Closed

Files

schell.zip 83.8 KB 2009-12-28 Bob English
